apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: accountserver-deployment
spec:
  replicas: 1
  revisionHistoryLimit: 1
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: accountserver
    spec:
      containers:
      - name: accountserver-container
        image: localhost:5000/accountserver:VERSION
        ports:
        - containerPort: 80
        - containerPort: 1000
        livenessProbe:
          httpGet:
            path: /health
            port: 80
        readinessProbe:
          httpGet:
            path: /health
            port: 80
        env:
        - name: DEPLOY
          value: VERSION
        - name: MYSQL_CONFIG
          value: "root:SHIBBOLETH@tcp(app-mysql-service:3306)/account"
        - name: ENV
          valueFrom:
            fieldRef:
              fieldPath: metadata.namespace
        - name: SIGNING_SECRET
          value: QqvNDpRMnDvuDZL2xCtVwdNPEX2jYhKyzuX3VzQEdfmruNNysxVRGdWXuin6jhdQ
